Bulletin d'alerte Debian

DSA-577-1 postgresql -- Fichier temporaire non sécurisé

Date du rapport :
29 octobre 2004
Paquets concernés :
postgresql
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 278336.
Dans le dictionnaire CVE du Mitre : CVE-2004-0977.
Plus de précisions :

Les ingénieurs en sécurité de Trustix ont identifié la création d'un fichier temporaire non sécurisé dans un script inclus dans la suite postgresql, une base de données SQL orientée objet. Cela peut permettre à un attaquant de forcer un utilisateur à écraser des fichiers arbitraires pour lesquels il a le droit en écriture.

Pour l'actuelle distribution stable (Woody), ce problème a été corrigé dans la version 7.2.1-2woody6.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 7.4.6-1.

Nous vous recommandons de mettre à jour vos paquets postgresql.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6.dsc
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6.diff.gz
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-doc_7.2.1-2woody6_all.deb
Alpha:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_alpha.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_arm.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_i386.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_ia64.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_hppa.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_m68k.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_mips.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_mipsel.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_powerpc.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_s390.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/postgresql/libecpg3_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgperl_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgsql2_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/libpgtcl_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/odbc-postgresql_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/pgaccess_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-client_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-contrib_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/postgresql-dev_7.2.1-2woody6_sparc.deb
http://security.debian.org/pool/updates/main/p/postgresql/python-pygresql_7.2.1-2woody6_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.